Subject: [sfc] draft-liu-sfc-use-cases and bidirectional chains

From: Dave Dolson <[email-masked]>
Date: Tue, 4 Mar 2014 00:56:56 +0000

Will et al,

I feel your use cases could benefit by explicitly calling out the symmetrically bidirectional requirements.

Although all of your figures show uni-directional traffic, I believe all of the examples SFs (WAP GW, Optimizer, Cache, FW, NAT, header enrichment, parental controls) require return traffic to follow a return path via the same elements or else they won't function properly.

So I suggest, on  each of the links in the figures, add arrows in both directions, and write text to indicate that for each SFC there is a corresponding symmetrical reverse chain.

David Dolson
Senior Software Architect
Sandvine